<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSLFFontInfo (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSLFFontInfo (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFFontInfo.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFill.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
               title="enum in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFFontInfo.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFFontInfo.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.usermodel</div>
    <h2 title="Class HSLFFontInfo" class="title">Class HSLFFontInfo</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.usermodel.HSLFFontInfo</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                           title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSLFFontInfo</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
              title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></pre>
                <div class="block">Represents a Font used in a presentation.<p>

                    In PowerPoint Font is a shared resource and can be shared among text object in the presentation.
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Since:</span></dt>
                    <dd>POI 3.17-beta2</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfo.FontRenderType</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#HSLFFontInfo-org.apache.poi.hslf.record.FontEntityAtom-">HSLFFontInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                                        title="class in org.apache.poi.hslf.record">FontEntityAtom</a>&nbsp;fontAtom)</code>
                                    <div class="block">Creates a new instance of HSLFFontInfo and initialize it from the
                                        supplied font atom
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#HSLFFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-">HSLFFontInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                        title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a>&nbsp;fontInfo)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#HSLFFontInfo-java.lang.String-">HSLFFontInfo</a></span>(java.lang.String&nbsp;typeface)</code>
                                    <div class="block">Creates a new instance of HSLFFontInfo with more or sensible
                                        defaults.
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                                        title="class in org.apache.poi.hslf.record">FontEntityAtom</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#createRecord--">createRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#getCharset--">getCharset</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#getFamily--">getFamily</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.Integer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#getIndex--">getIndex</a></span>()</code>
                                    <div class="block">Get the index within the collection of Font objects</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#getPitch--">getPitch</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfo.FontRenderType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#getRenderType--">getRenderType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#getTypeface--">getTypeface</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#isEmbedSubsetted--">isEmbedSubsetted</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#isFontSubstitutable--">isFontSubstitutable</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">setCharset</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a>&nbsp;charset)</code>
                                    <div class="block">Sets the charset</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setEmbedSubsetted-boolean-">setEmbedSubsetted</a></span>(boolean&nbsp;embedSubset)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">setFamily</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a>&nbsp;family)</code>
                                    <div class="block">Sets the font family class</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setFontSubstitutable-boolean-">setFontSubstitutable</a></span>(boolean&nbsp;isSubstitutable)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setIndex-int-">setIndex</a></span>(int&nbsp;index)</code>
                                    <div class="block">Sets the index within the collection of Font objects</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">setPitch</a></span>(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a>&nbsp;pitch)</code>
                                    <div class="block">Set the font pitch</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setRenderType-org.apache.poi.hslf.usermodel.HSLFFontInfo.FontRenderType-">setRenderType</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfo.FontRenderType</a>&nbsp;renderType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.html#setTypeface-java.lang.String-">setTypeface</a></span>(java.lang.String&nbsp;typeface)</code>
                                    <div class="block">Sets the font name</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSLFFontInfo-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFFontInfo</h4>
                                <pre>public&nbsp;HSLFFontInfo(java.lang.String&nbsp;typeface)</pre>
                                <div class="block">Creates a new instance of HSLFFontInfo with more or sensible
                                    defaults.<p>

                                        If you don't use default fonts (see <a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfoPredefined.html"
                                            title="enum in org.apache.poi.hslf.usermodel"><code>HSLFFontInfoPredefined</code></a>)
                                        then the results
                                        of the font substitution will be better, if you also specify the other
                                        properties.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeface</code> - the font name</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSLFFontInfo-org.apache.poi.hslf.record.FontEntityAtom-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSLFFontInfo</h4>
                                <pre>public&nbsp;HSLFFontInfo(<a
                                        href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                                        title="class in org.apache.poi.hslf.record">FontEntityAtom</a>&nbsp;fontAtom)</pre>
                                <div class="block">Creates a new instance of HSLFFontInfo and initialize it from the
                                    supplied font atom
                                </div>
                            </li>
                        </ul>
                        <a name="HSLFFontInfo-org.apache.poi.common.usermodel.fonts.FontInfo-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSLFFontInfo</h4>
                                <pre>public&nbsp;HSLFFontInfo(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                        title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a>&nbsp;fontInfo)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndex</h4>
                                <pre>public&nbsp;java.lang.Integer&nbsp;getIndex()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getIndex--">FontInfo</a></code></span>
                                </div>
                                <div class="block">Get the index within the collection of Font objects</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getIndex--">getIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>unique index number of the underlying record this Font represents
                                        (probably you don't care unless you're comparing which one is which)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndex</h4>
                                <pre>public&nbsp;void&nbsp;setIndex(int&nbsp;index)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setIndex-int-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the index within the collection of Font objects</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setIndex-int-">setIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>index</code> - the index within the collection of Font objects</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTypeface--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTypeface</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTypeface()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getTypeface--">getTypeface</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the full name of the font, i.e. font family + type face</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTypeface-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTypeface</h4>
                                <pre>public&nbsp;void&nbsp;setTypeface(java.lang.String&nbsp;typeface)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setTypeface-java.lang.String-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the font name</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setTypeface-java.lang.String-">setTypeface</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>typeface</code> - the full name of the font, when <code>null</code>
                                        removes the font definition -
                                        removal is implementation specific
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCharset</h4>
                                <pre>public&nbsp;void&nbsp;setCharset(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a>&nbsp;charset)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the charset</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setCharset-org.apache.poi.common.usermodel.fonts.FontCharset-">setCharset</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>charset</code> - the charset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCharset--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCharset</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontCharset.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontCharset</a>&nbsp;getCharset()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getCharset--">getCharset</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font charset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFamily--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFamily</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a>&nbsp;getFamily()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getFamily--">getFamily</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the family class</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFamily</h4>
                                <pre>public&nbsp;void&nbsp;setFamily(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontFamily.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontFamily</a>&nbsp;family)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Sets the font family class</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setFamily-org.apache.poi.common.usermodel.fonts.FontFamily-">setFamily</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>family</code> - the font family class</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPitch--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPitch</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a>&nbsp;getPitch()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#getPitch--">getPitch</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font pitch or <code>null</code> if unsupported</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPitch</h4>
                                <pre>public&nbsp;void&nbsp;setPitch(<a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontPitch.html"
                                        title="enum in org.apache.poi.common.usermodel.fonts">FontPitch</a>&nbsp;pitch)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">FontInfo</a></code></span>
                                </div>
                                <div class="block">Set the font pitch</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html#setPitch-org.apache.poi.common.usermodel.fonts.FontPitch-">setPitch</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/common/usermodel/fonts/FontInfo.html"
                                                title="interface in org.apache.poi.common.usermodel.fonts">FontInfo</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pitch</code> - the font pitch</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRenderType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRenderType</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfo.FontRenderType</a>&nbsp;getRenderType()</pre>
                            </li>
                        </ul>
                        <a name="setRenderType-org.apache.poi.hslf.usermodel.HSLFFontInfo.FontRenderType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRenderType</h4>
                                <pre>public&nbsp;void&nbsp;setRenderType(<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
                                        title="enum in org.apache.poi.hslf.usermodel">HSLFFontInfo.FontRenderType</a>&nbsp;renderType)</pre>
                            </li>
                        </ul>
                        <a name="isEmbedSubsetted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isEmbedSubsetted</h4>
                                <pre>public&nbsp;boolean&nbsp;isEmbedSubsetted()</pre>
                            </li>
                        </ul>
                        <a name="setEmbedSubsetted-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setEmbedSubsetted</h4>
                                <pre>public&nbsp;void&nbsp;setEmbedSubsetted(boolean&nbsp;embedSubset)</pre>
                            </li>
                        </ul>
                        <a name="isFontSubstitutable--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFontSubstitutable</h4>
                                <pre>public&nbsp;boolean&nbsp;isFontSubstitutable()</pre>
                            </li>
                        </ul>
                        <a name="setFontSubstitutable-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFontSubstitutable</h4>
                                <pre>public&nbsp;void&nbsp;setFontSubstitutable(boolean&nbsp;isSubstitutable)</pre>
                            </li>
                        </ul>
                        <a name="createRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>createRecord</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                                                    title="class in org.apache.poi.hslf.record">FontEntityAtom</a>&nbsp;createRecord()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSLFFontInfo.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFill.html"
               title="class in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFFontInfo.FontRenderType.html"
               title="enum in org.apache.poi.hslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/usermodel/HSLFFontInfo.html" target="_top">Frames</a>
        </li>
        <li><a href="HSLFFontInfo.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
